# class Gem::Resolver::Molinillo::CircularDependencyError

An error caused by attempting to fulfil a dependency that was circular

@note This exception will be thrown if and only if a {Vertex} is added to a

    {DependencyGraph} that has a {DependencyGraph::Vertex#path_to?} an
    existing {DependencyGraph::Vertex}

### Attributes

dependencies[R]

`Set`<Object>

  the dependencies responsible for causing the error

### Public Class Methods

new(vertices) click to toggle source

Initializes a new error with the given circular vertices. @param [Array<DependencyGraph::Vertex>] vertices the vertices in the dependency

    that caused the error

Calls superclass method `Exception::new`

    # File lib/rubygems/resolver/molinillo/lib/molinillo/errors.rb, line 47
    def initialize(vertices)
      super "There is a circular dependency between #{vertices.map(&:name).join(' and ')}"
      @dependencies = vertices.map { |vertex| vertex.payload.possibilities.last }.to_set
    end